#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)checker.pl 1.10 04/09/22 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------
package CHECKER;

use strict;
use variables;

#------------------------------------------------------------------------------
#
# installation of nhadm on men
#
#------------------------------------------------------------------------------

sub men_checker {

  ($NODE_ID) = @_;

  COMMON::print_stage_node("Administration tool (nhadm) installation");
  COMPONENT::install_men_component($NODE_ID, "NHADM", "");
}

#------------------------------------------------------------------------------
#
# installation of nhadm on dataless
#
#------------------------------------------------------------------------------

sub dataless_checker {

  ($NODE_ID) = @_;

  COMMON::print_stage_node("Administration tool (nhadm) installation for dataless");
  COMPONENT::install_dataless_component($NODE_ID, "NHADM", "");
}

#------------------------------------------------------------------------------
#
# installation of nhadm on diskless
#
#------------------------------------------------------------------------------

sub diskless_checker {

  ($NODE_ID) = @_;

  COMMON::print_stage_node("Administration tools (nhadm) installation for diskless") ;
  COMPONENT::install_diskless_component($NODE_ID, "NHADM", "");
}

{
}





