#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)pmd.pl 1.10 04/09/22 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package PMD;

use strict;
use variables;

#--------------------------------------------------------------
#
# installation of PMD packages on MEN
#
#--------------------------------------------------------------

sub men_pmd {

  ($NODE_ID) = @_;
   
  COMMON::print_stage_node("Process Monitoring Daemon (PMD) installation") ;
  COMPONENT::install_men_component($NODE_ID, "PMD", "");
}

#--------------------------------------------------------------
#
# installation of PMD packages on dataless
#
#--------------------------------------------------------------

sub dataless_pmd {

  ($NODE_ID) = @_;
   
  COMMON::print_stage_node("Process Monitoring Daemon (PMD) installation for dataless") ;
  COMPONENT::install_dataless_component($NODE_ID, "PMD", "");
}

#------------------------------------------------------------------------------
#
# installation of PMD on diskless
#
#------------------------------------------------------------------------------

sub diskless_pmd {

  ($NODE_ID) = @_;

  COMMON::print_stage_node("Process Monitoring Daemon (PMD) installation for diskless") ;
  COMPONENT::install_diskless_component($NODE_ID, "PMD", "");
}
{
}







