#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)wdt.pl 1.6 04/09/22 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package WDT;

use strict;
use variables;

#--------------------------------------------------------------
#
# installation of Watchdog Timer packages on MEN
#
#--------------------------------------------------------------

sub men_wdt {

  ($NODE_ID) = @_;

  if (! $USE_WDT) {
    return ;
  }

  COMMON::print_stage_node("Watchdog (WDT) installation") ;
  COMPONENT::install_men_component($NODE_ID, "WDT", "");
}

#--------------------------------------------------------------
#
# installation of Watchdog Timer packages on dataless
#
#--------------------------------------------------------------

sub dataless_wdt {

  ($NODE_ID) = @_;

  if (! $USE_WDT) {
    return ;
  }

  COMMON::print_stage_node("Watchdog (WDT) installation for dataless") ;
  COMPONENT::install_dataless_component($NODE_ID, "WDT", "");
}

#------------------------------------------------------------------------------
#
# installation and configuration of CMM
#
#------------------------------------------------------------------------------

sub diskless_wdt {

  ($NODE_ID) = @_;

  if (! $USE_WDT) {
    return ;
  }

  COMMON::print_stage_node("Watchdog (WDT) installation for diskless") ;
  COMPONENT::install_diskless_component($NODE_ID, "WDT", "");
}

{
}
