#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)mount_for_diskless.pl 1.6 04/09/23 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package MOUNT_FOR_DISKLESS;

use strict;
use variables;

#--------------------------------------------------------------
#
# mount directories required when installing diskless
#
#--------------------------------------------------------------

sub mount_for_diskless {

  ($NODE_ID) = @_;

  if ($RECOVERY) {
    COMMON::print_recovery_node("Re-mounting remote directories") ;
    # no check of error when mounting
    # because the mounting point may be busy
    $CHECK_MOUNT_ERROR = $FALSE;
  } else {
    COMMON::print_stage_node("Mounting remote directories") ;
  }
  
  COMMON::mount_for_diskless($NODE_ID);
  $CHECK_MOUNT_ERROR = $TRUE;
}

{
}
